Home / Apple / Windows XP Users Will Not Be Able to Use iCloud

Windows XP Users Will Not Be Able to Use iCloud

The worlds most popular operating system, Windows XP, will not be compatible with iCloud. Per the company’s press release, using iCloud with a PC requires Windows Vista or Windows 7. While iTunes 10.3 and MobileMe both include Windows XP in the support list, it looks like Apple is shifting support away from the older OS.
Using iCloud with a PC requires Windows Vista or Windows 7; Outlook 2010 or 2007 is recommended for accessing contacts and calendars.
Considering backwards-compatibility for iTunes 10.3 only goes back four years to OS X 10.5, it is rather surprising to see the ten year old OS, XP, has even stayed on the list as long as it has.
If you are still on Windows XP and plan on using iCloud, will you be upgrading to Windows Vista or 7?
Read More via TUAW

Download Full Version

About J8mesz

I don't strive to be #1, but to be the only one.

Leave a Reply